Creates a device registry.
Note: This is an admin API.
The URL, systemKey, and token this endpoint requires are obtained differently than others. To get those, do the following:
-
Click the Select project drop-down at the top of the IoT Core UI.
-
Click the edit icon (
) next to the desired project. -
Go to the SERVICE ACCOUNTS tab.
-
If a service account already exists, select it and choose DOWNLOAD CREDENTIALS. If a service account does not exist, create it and select DOWNLOAD CREDENTIALS.
-
A JSON file will be downloaded to your local machine. Open the file with an editor. Use the systemKey, token, and URL from the file as needed below.
HTTP request
POST {url}/api/v/4/webhook/execute/{systemKey}/cloudiot
Query parameters
|
Parameters |
|
|---|---|
|
|
The project and cloud region path. For example, |
Header parameters
|
Parameters |
|
|---|---|
|
|
See the note at the start of this document on where to find the token. |
Request body
The request body contains a DeviceRegistry instance.
Response status codes
|
Code |
Meaning |
|---|---|
|
200 |
Success |
Response body
If successful, the response body contains a newly created DeviceRegistry instance.
Example curl
curl 'https://iot.clearblade.com/api/v/4/webhook/execute/aae9b9b30c8aa4e49081c7eeb9bb07/cloudiot?parent=projects/iot-core-test-363819/locations/us-central1' -H 'ClearBlade-UserToken: {token}' -d '{ "id": "two", "eventNotificationConfigs": [], stateNotificationConfig": {}, "mqttConfig": {}, "httpConfig": {}, "logLevel": "NONE", "credentials": [] }'
Using the instructions at the start of this document, replace the following: https://iot.clearblade.com with your URL. aae9b9b30c8aa4e49081c7eeb9bb07 with your systemKey. {token} with your token.
This example’s body contains a registry object with name and id “two.” Replace the registry object with your own.